Subject: bug#397: 23.0.60; T in Info when in (dir)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Apr 2016 19:35:05 +0200

Drew Adams <[email-masked]> writes:

>> > Thanks, but that is not the whole fix.  You missed this part:
>> >
>> >     and (2) disable (dim) the corresponding item in the
>> >     Info menu when in (dir).
>> >
>> > The Info menu correctly has things like Up disabled (dimmed).
>> > But menu item Table of Contents (T) is not disabled.
>> > Please fix this part of the bug also.
>> 
>> Hm...  I don't quite follow.  Do you have a complete recipe, starting
>> from -Q?
>
> emacs -Q
> C-h i
>
> Look at the Info menu, in the menu bar.  See the menu item
> `Table of Contents           T'?  It should be disabled
> when at the (dir), i.e., the top, level.

Oh, I see.  I didn't think you meant the Emacs menu menu, but a menu in
the Info buffer.  :-)

Let's see...  Yes, that menu item should be dimmed.

Basically, Info calls

(Info-find-node "dir" "*TOC*")

which then fails.  Looking at that code, it's quite long and convoluted,
and calling that just to gray out the menu item is probably not a good
idea.  Does anybody know of a quick shortcut to determine whether the
TOC isn't available?  I'm quite unfamiliar with the Info code.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no